Subject: bug#69000: closed (Re: bug#69000: Error while upgrading)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 10 Feb 2024 15:38:02 +0000

Your bug report

#69000: Error while upgrading

which was filed against the auctex package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69000: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69000
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#69000: Error while upgrading
From: Mosè Giordano <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: [email-masked]
Date: Sat, 10 Feb 2024 15:36:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Michael

On Sat, 10 Feb 2024 at 15:29, Michael Heerdegen via bug-auctex via Bug
reporting list for AUCTeX <[email-masked]> wrote:
> As expected it's fixed for me as well.  Thanks to everyone.

Thanks for confirming it, I'm closing the ticket.

> Note 2: I did not find information about how to report bugs in the
> AucTex manual.  Either I missed it or it should maybe be added.

I think it's the former case, the instructions about how to report
bugs are at the very beginning of the AUCTeX manual:
https://www.gnu.org/software/auctex/manual/auctex/index.html

> Bug reports should go to [email-masked], suggestions for new features, and pleas for help should go to either [email-masked] (the AUCTeX developers), or to [email-masked] if they might have general interest. Please use the command M-x TeX-submit-bug-report <RET> to report bugs if possible. You can subscribe to a low-volume announcement list by sending “subscribe” in the subject of a mail to [email-masked].

Best,
Mosè

Subject: Error while upgrading
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Fri, 09 Feb 2024 12:00:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

dunno if this observation is related to one of the other reports today
(my tex files open in fundamental-mode after today's upgrade), but I
noticed these two errors emitted while upgrading:

| ...
| Compiling file /home/micha/.emacs.d/elpa/auctex-14.0.0/context-en.el at Fri Feb  9 11:44:38 2024
| context-en.el:33:11: Error: Symbol's chain of function indirections contains a loop: context-mode
| ^L
| Compiling file /home/micha/.emacs.d/elpa/auctex-14.0.0/context-nl.el at Fri Feb  9 11:44:38 2024
| context-nl.el:33:11: Error: Symbol's chain of function indirections contains a loop: context-mode
| ...

Michael.